unit UF;

interface

uses
  PORTINC,//Enthlt die Deklarationen der PORTPAS.DLL
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Edit1: TEdit;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Aufloesung: Integer;
const Kalibrierung = 1.0000;
implementation

{$R *.DFM}

function Frequenz (Torzeit: Integer): Real;
var Zaehler, alt, Eingang : Integer;
begin
  Zaehler := 0;
  RealTime (true);
  TimeInitus;
  alt:=CTS;
  while TimeReadus < (1000*Torzeit) do begin
    Eingang := CTS;
    if Eingang> alt then Zaehler := Zaehler +1;
    Alt := Eingang;
  end;
  Frequenz := Zaehler/Torzeit*1000;
  RealTime (false);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  OpenCom(pchar('com2:9600,N,8,1'));
  Timer1.Interval := 500;
  Timer1.Enabled := true;
  Aufloesung := 1
end;


procedure TForm1.Timer1Timer(Sender: TObject);
var Spannung: Real;
begin
  Case Aufloesung of
  1:   begin
         Spannung := Frequenz(100)/10*Kalibrierung;
         Edit1.Text := FloatToStrF(Spannung,ffGeneral,3,0) + ' mV';
       end;
  2:   begin
         Spannung := Frequenz(1000)/10*Kalibrierung;
         Edit1.Text := FloatToStrF(Spannung,ffGeneral,5,1) + ' mV';
       end;
  3:   begin
         Spannung := Frequenz(10000)/10*Kalibrierung;
         Edit1.Text := FloatToStrF(Spannung,ffGeneral,6,2) + ' mV';
       end;
   end;
end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
  Timer1.Interval := 1000;
  Aufloesung := 1
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
  Timer1.Interval := 1500;
  Aufloesung := 2

end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
  Timer1.Interval := 12000;
  Aufloesung := 3
end;

end.
